## opencpn-plugin-calculator 2.0.1

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Sean D'Epagnier
## Copyright:   
## License:     GPLv3+
##---------------------------------------------------------------------------
 
# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(calculator_pi)
SET(PACKAGE_NAME calculator_pi)
SET(CPACK_PACKAGE_CONTACT "SaltyPaws ")

SET(VERSION_MAJOR "2")
SET(VERSION_MINOR "2")

#SET(CMAKE_BUILD_TYPE Debug)
SET( wxWidgets_USE_DEBUG OFF)
SET( wxWidgets_USE_UNICODE ON)
SET( wxWidgets_USE_UNIVERSAL OFF)
SET( wxWidgets_USE_STATIC OFF)

SET(NAME_SUFFIX "ov50")
set (CMAKE_CXX_STANDARD 11)

#SET(CMAKE_BUILD_TYPE Debug)
OPTION(CALCULATOR_USE_SVG "Use SVG graphics" ON)

INCLUDE("cmake/PluginConfigure.cmake")

IF(CALCULATOR_USE_SVG)
  ADD_DEFINITIONS(-DCALCULATOR_USE_SVG)
ENDIF(CALCULATOR_USE_SVG)

SET(SRC_CALCULATOR
	src/calculator_pi.h
	src/calculator_pi.cpp
	src/icons.h
	src/icons.cpp
	src/calculatorgui.h
	src/calculatorgui.cpp
	src/calculatorgui_impl.cpp
	src/calculatorgui_impl.h
	src/functions.h
	src/functions.cpp
	src/units_conversion.h
	src/units_conversion.cpp
	src/ocpn_plugin.h
	src/VariableFactory.h
	src/VariableFactory.cpp
	)

SET(SRC_MUPARS
	src/muparser/muParserBase.cpp
	src/muparser/muParserBase.h
	src/muparser/muParserBytecode.cpp
	src/muparser/muParserBytecode.h
	src/muparser/muParserCallback.cpp
	src/muparser/muParserCallback.h
	src/muparser/muParser.cpp
	src/muparser/muParserDef.h
	src/muparser/muParserError.cpp
	src/muparser/muParserError.h
	src/muparser/muParserFixes.h
	src/muparser/muParser.h
	src/muparser/muParserStack.h
	src/muparser/muParserToken.h
	src/muparser/muParserTokenReader.cpp
	src/muparser/muParserTokenReader.h
	src/muparser/muParserTemplateMagic.h
)




ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_CALCULATOR} ${SRC_MUPARS})

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-calculator (2.0.1-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Aug 2019 15:50:09 -0700

opencpn-plugin-calculator (2.0.1-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Aug 2019 15:43:58 -0700

opencpn-plugin-calculator (2.0.1-0~disco1) disco; urgency=low

  * Version 2.0.1

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 23:30:03 -0400

opencpn-plugin-calculator (2.0.0-0~cosmic1) cosmic; urgency=low

  * Version 2.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 10:12:24 -0400

opencpn-plugin-calculator (2.0.0-0~bionic1) bionic; urgency=low

  * Version 2.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 10:12:24 -0400

opencpn-plugin-calculator (2.0.0-0~xenial1) xenial; urgency=low

  * Version 2.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 10:12:24 -0400

opencpn-plugin-calculator (2.0.0-0~trusty1) trusty; urgency=low

  * Version 2.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 10:12:24 -0400

opencpn-plugin-calculator (1.8.0-0~precise1) precise; urgency=low

  * Version 1.8

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 12:42:04 -0500

opencpn-plugin-calculator (1.8.0-0~trusty1) trusty; urgency=low

  * Version 1.8

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 12:42:04 -0500

opencpn-plugin-calculator (1.8.0-0~utopic1) utopic; urgency=low

  * Version 1.8

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 12:42:04 -0500

opencpn-plugin-calculator (1.8.0-0~vivid1) vivid; urgency=low

  * Version 1.8

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 12:42:04 -0500

opencpn-plugin-calculator (1.8.0-0~wily1) wily; urgency=low

  * Version 1.8

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 12:42:04 -0500

opencpn-plugin-calculator (1.7.0-0~precise1) precise; urgency=low

  * Version 1.7

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 30 May 2015 11:40:36 -0500

opencpn-plugin-calculator (1.7.0-0~trusty1) trusty; urgency=low

  * Version 1.7

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 30 May 2015 11:40:36 -0500

opencpn-plugin-calculator (1.7.0-0~utopic1) utopic; urgency=low

  * Version 1.7

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 30 May 2015 11:40:36 -0500

opencpn-plugin-calculator (1.7.0-0~vivid1) vivid; urgency=low

  * Version 1.7

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 30 May 2015 11:40:36 -0500

opencpn-plugin-calculator (1.7.0-0~wily1) wily; urgency=low

  * Version 1.7

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 30 May 2015 11:40:36 -0500

=== debian/control ===
Source: opencpn-plugin-calculator
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: David Register <bdbcat@yahoo.com>
Build-Depends: debhelper (>= 9), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, wx-common, libwxgtk3.0-dev, libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers, libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-calculator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n, opencpn (>= 4.99.0)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
